SHANTY(1)

NAME
Shanty - Makes a PostScript file from an image and some text.

SYNOPSIS

shanty -i image_file [-t text_file] [-o output_file] [-s paper_size] [-d density] [-m margin] [-b background_color] [-x padding] [-n title] [-l orientation] [-rtl] [-btt] [-f font_name] [-altgd]

DESCRIPTION

Shanty takes a text file and an image (PNG or JPG) and creates a PostScript file where one pixel in the image becomes one character in the PostScript.

OPTIONS

-i, -image
    Name of the image to load in. JPG and PNG images are supported. This is the only compulsory field.

-t, -text
    Name of the text file to load in, if omitted STDIN is used.

-o, -output
    Name of the PostScript file to produce, if omitted STDOUT is used.

-s, -size
    Size of the paper to work with. This field should be one of: "a0", "a2", "a3", "a4", "a5", "a6", "letter", "broadsheet", "ledger", "tabloid", "legal", "executive" and "36x36". Default is "a4".

-d, -density
    Density of the text. Higher numbers are more dense, default is 1.4.

-m, -margin
    The margins of the page in cm. Default is 1.

-b, -background
    The colour of a backing rectangle to place behind the text. Colours are specified as "R,G,B" with each value between 0 and 255. "off" means no backing colour. Default is "off".

-x, -p, -padding
    Density of the text. Higher numbers are more dense, default is 1.4.

-n, -title
    The title of the output to write as meta-data in the PostScript file. Default is "Shanty output".

-l, -orientation
    The orientation of the paper, can be "portrait", "landscape" or "auto". Default is "auto".

-rtl
    Switch to right-to-left text.

-btt
    Switch to bottom-to-top text.

-f, -font
    Specify font. The font name specified must be visible to the not just make a font magically appear. Default is "Courier-Bold".

-altgd
    If you have problems loading the GD library, try this switch.

HOMEPAGE

<http://www.codebunny.org/coding/shanty/>

AUTHOR

Duncan Martin <duncan@codebunny.org>

ACKNOWLEDGEMENTS

Many thanks to DFB <http://www.cs.nott.ac.uk/~dfb/> and contributors to comp.lang.postscript.